modal {
  display: inline-block;

  > button {
    cursor: pointer;
    display: flex;
    align-items: center;
    gap: 0.125rem;
    padding: 0;
    border: none;
    background: none;

    > span {
      display: block;
      color: var(--pricefox-secondary-color);
      margin: 0;
    }

    > svg {
      flex-shrink: 0;
      width: 1rem;
      aspect-ratio: 1;
      color: var(--pricefox-secondary-color);
    }

    &:hover {

      > span {
        color: var(--pricefox-primary-color);
        text-decoration: underline;
      }

      > svg {
        color: var(--pricefox-primary-color);
      }
    }
  }
}

